ABSTRACT 

The Insolvency and Bankruptcy Code (IBC) 2016 was enacted to streamline and expedite the 

resolution process of insolvency cases in India, aiming to improve the recovery rates and 

minimise the time taken for resolving distressed assets. At its core, the IBC establishes a 

systematic framework for resolving insolvency, with the goal of optimising asset value, 

encouraging entrepreneurship, and ensuring a fair balance of interests among all parties 

involved. This research paper examines the effectiveness of the resolution process before and 

after the implementation of the IBC. The primary objectives are to analyse the changes in 

recovery rates, timelines, and overall success of resolution processes, and to identify the 

challenges faced by various stakeholders, including creditors, debtors, and resolution 

professionals, in navigating the IBC framework. It also seeks to evaluate the supportive role of 

judicial trends through landmark judgments, address persistent challenges faced by courts, such 

as significant case backlogs and the insufficient number of judges, and review various studies 

to gain a comprehensive understanding of these ongoing issues. The paper concludes by 

suggesting specific solutions to ease the burden on the judicial system, highlighting the 

comprehensive framework and dynamic evolution of the IBC. This research draws on primary 

sources such as IBBI reports, NCLT case records, and Supreme Court judgments, alongside 

academic journals and legal periodicals. The primary outcome of this study is the suggestion 

of a new model designed to enhance the overall efficiency and effectiveness of the IBC. This 

model, along with a detailed discussion of its components, will be thoroughly examined in the 

paper. In conclusion, this study offers valuable insights into the impact of the IBC on the Indian 

insolvency landscape through a thorough review of the pre- and post-IBC period.  

  

 

 

 



 

  

INTRODUCTION 

The Economic heartbeat of any nation depends on the steady pulse of its businesses, both big 

and small. Yet, whenever financial storms arise, these big or small enterprises often find 

themselves on the brink, struggling to stay afloat. The fate of these companies doesn't just 

concern their owners; it resonates through employees, creditors, and the broader economy. The 

Government of India introduced the Insolvency and Bankruptcy Code (hereinafter as IBC, 

2016)1 as a beacon of hope, offering a lifeline not just to the distressed companies but to the 

entire financial ecosystem they support. When a person or business is insolvent or bankrupt, it 

means they cannot pay their debts on time and their assets are insufficient to meet their financial 

obligations. Enactment of IBC marked a turning point in India's economic landscape. Before 

the IBC, businesses facing financial trouble had to navigate a maze of outdated and fragmented 

insolvency laws. The introduction of the IBC changed this by bringing all these laws under one 

unified framework, making it simpler and more efficient to address insolvency issues across 

the country. The Code has made a significant impact on both economic and non-economic 

fronts.2 Since its implementation, India's global economic standing has seen a remarkable 

boost. The code has played a crucial role in attracting more foreign direct investment (FDI), 

increasing mergers and acquisitions (M&A) deals3, and improving India’s Ease of Doing 

Business ranking. 

 

This single piece of legislation has since become the backbone of India’s approach to dealing 

with struggling businesses, offering a clearer path to resolution and recovery. 

 

This paper delves into the effectiveness of the resolution process4, examining how it has 

transformed the insolvency landscape, its successes, the challenges, and the way forward.  

 

KEYWORDS  

Insolvency, Bankruptcy, IBC 2016, Resolution Process, Legal Analysis, Pre-IBC, Post-IBC, 

CIRP. 

                                                             
1,Insolvency and Bankruptcy Board of India. Available at: https://ibbi.gov.in/en/legal-framework/act (Accessed: 

30 August 2024).  
2 Anant, S. and Mishra, A. (2019) A Study Of Insolvency And Bankruptcy Code And  Its Impact On Macro 

Environment Of India, International Journal of Economics Development Research (IJEDR).  
3 Khan, T.A. Impact of IBC on credit networks and firm performance, Ies.gov.in. Available at: 

https://www.ies.gov.in/pdfs/Paper-on-IBC-Final.pdf 
4 Indian economy growth rate, GDP & economic structure insights: IBEF India Brand Equity Foundation. 

Available at: https://www.ibef.org/economy/indian-economy-overview. 

https://www.ies.gov.in/pdfs/Paper-on-IBC-Final.pdf
https://www.ies.gov.in/pdfs/Paper-on-IBC-Final.pdf
https://www.ies.gov.in/pdfs/Paper-on-IBC-Final.pdf


 

  

RESEARCH OBJECTIVES 

The study has been conducted with the aim of contributing to the following objectives: 

1. To study the effectiveness of the resolution process (Pre IBC & Post IBC). 

2. To identify the challenges faced in the resolution process. 

3. Legal analysis of the IBC. 

 

RESEARCH METHODOLOGIES 

This research paper analyses the effectiveness of the Insolvency and Bankruptcy Code (IBC) 

2016, with a specific focus on the resolution process, recovery rates, and stakeholder 

satisfaction before and after its implementation.  

1. The comparative analysis evaluates the differences between the Pre-IBC and Post-IBC 

periods. Our study is structured around key metrics such as resolution timelines, 

recovery rates, and stakeholder satisfaction. 

2.  Comparing these metrics before and after the implementation of the IBC, our study 

assesses the impact of the Code on the insolvency landscape in India. 

 

REVIEW OF LITERATURE 

Overview of Insolvency and Bankruptcy Code, (IBC) 2016 

Imagine a bustling marketplace where traders and businesses thrive, their stalls filled with 

goods, ideas, and services. Every corner is alive with the hum of transactions, the promise of 

profits, and the energy of new ventures. But beneath the surface of this vibrant market lies a 

stark reality: some businesses struggle to keep up. They are weighed down by unpaid loans, 

diminishing revenues, and creditors knocking at their doors. These struggling enterprises are 

like old, sinking ships in a sea of opportunity—unable to sail forward or find a way out. 

 

For many years before the enactment of the IBC, India’s economy grappled with similar 

challenges, with numerous companies struggling under unmanageable debt due to the absence 

of an effective framework. These companies were trapped in a maze of outdated laws and 

prolonged court proceedings, hampering their ability to restructure or wind down operations 

efficiently. Prior to the IBC, various laws addressed insolvency, including the Presidency 

Towns Insolvency Act of 19095, the Provincial Insolvency Act of 1920, and the Sick Industrial 

                                                             
5 Abhiram et al. , On the Effectiveness of Insolvency and Bankruptcy Code, 2016: Empirical Evidence From 

India, 2 Sceindo 20 , 21-22 (2022) 



 

  

Companies Act of 1985 (SICA)6, alongside amendments to other laws such as the Companies 

Act of 2013, the Recovery of Debt Due to Banks and Financial Institutions Act of 1993, and 

the Securitisation and Reconstruction of Financial Assets and Enforcement of Security Interest 

Act of 20027. However, these laws were fragmented, often conflicting, and marked by lengthy 

procedures, leading to delayed resolutions, low recovery rates, and diminished confidence 

among creditors and investors, highlighting the need for a streamlined -framework8. 

 

The IBC was enacted in India to unify insolvency laws and ensure timely proceedings.9 The 

concept of insolvency dates back to ancient times, though formal laws were introduced during 

British colonial rule. Insolvency principles were present in India’s own historical texts, with 

the earliest references found in the Dharmashastras10, which emphasised that failure to repay 

debts resulted in a loss of reputation—a severe consequence in those times. The 

Dharmashastras, a collection of Smriti texts written by ancient sages to guide ethical and legal 

conduct in Hindu society, state that if an individual dies without repaying their debts, they will 

be reborn and must serve the creditor as a slave until the debt is fully repaid11. This cycle 

continues until the debt is discharged, preventing the debtor from achieving salvation. The 

Dharmashastras also introduced the concepts of Kusidin (creditors) and Vyavaharik (officials 

managing disputes), which parallel modern concepts of creditors and resolution professionals 

under the IBC. Similarly, Kautilya's Arthashastra12 addressed insolvency, proposing that 

debtors repay through labour and suggesting a debt relief fund, an early precursor to what we 

now call interim finance under the IBC. 

 

During the mediaeval period, insolvency was a prevalent issue, especially in mercantile 

                                                             
6 Ankoosh Mehta , Repeal of Sick Industrial Companies (Special Provisions) Act, 1985, Cyril Amarchand blogs 

( Feb 23 , 2017, 10:26 AM) , https://corporate.cyrilamarchandblogs.com/2017/02/repeal-sick-industrial-

companies-special-provisions-act-1985/.  
7 Hritika Sharma , Evolution of the Insolvency and Bankruptcy Laws in India , IBC laws, evolution-of-insolvency-

and-bankruptcy.pdf (ibclaw.in) 
8 Abhiram et al. , On the Effectiveness of Insolvency and Bankruptcy Code, 2016: Empirical Evidence From 

India, 2 Sceindo 20 , 21-22 (2022) 
9 Insolvency and bankruptcy - law & practise, The Institute of Company Secretaries of India (ICSI). Available at 

:https://www.icsi.edu/media/webmodules/Academics/Insolvency_and%20_Bankruptcy_Law_Practice1.pdf  
10 Sharma, R.,  Insolvency in India during Ancient Times. Available at: https://www.iiipicai.in/wp-

content/uploads/2024/02/34-38-Article.pdf (Accessed: 04 September 2024).  
11 Sharma, R.,  Insolvency in India during Ancient Times. Available at: https://www.iiipicai.in/wp-

content/uploads/2024/02/34-38-Article.pdf (Accessed: 04 September 2024). 
12 R Shamasastry, Kautilya‟s Arthashastra  (Mysore Printing and Publishing House, Mysore , Karnataka, India, 

1960).  

https://corporate.cyrilamarchandblogs.com/2017/02/repeal-sick-industrial-companies-special-provisions-act-1985/
https://corporate.cyrilamarchandblogs.com/2017/02/repeal-sick-industrial-companies-special-provisions-act-1985/
https://ibclaw.in/wp-content/uploads/2021/05/EVOLUTION-OF-INSOLVENCY-AND-BANKRUPTCY.pdf
https://ibclaw.in/wp-content/uploads/2021/05/EVOLUTION-OF-INSOLVENCY-AND-BANKRUPTCY.pdf


 

  

communities. Hundis, or Bills of Exchange, were used as instruments of credit and payment13. 

In case of default, creditors could take legal action against debtors, much like modern credit 

enforcement methods.  

 

The current insolvency framework has evolved significantly with the introduction of 

comprehensive laws and mechanisms. The Indian Insolvency Act of 1848 was the first 

legislation addressing insolvency during British rule, initially applicable to the presidency 

towns of Bombay, Calcutta, and Madras. It primarily focused on traders and individuals unable 

to pay their debts. The act remained in effect until replaced by the Presidency Towns 

Insolvency Act of 1909, which continued to focus on individual insolvency and was limited to 

these towns, leaving corporate insolvency unaddressed. Additionally, the first insolvency court 

was established in these presidency towns under legislation enacted in 1828.  

 

Before 1907, insolvency laws did not cover non-presidency areas of India. To address this, the 

Provincial Insolvency Act was introduced in 1907 and replaced by the 1920 Act, governing 

insolvency in non-presidency regions until the Insolvency and Bankruptcy Code (IBC) 

repealed them. The Indian Constitution placed bankruptcy and insolvency under the 

Concurrent List and company matters under the Union List, leading to the enactment of the 

Companies Act of 1956, which governed corporate insolvency until 198514.  

 

In the early post-independence era, the government focused on industrial growth by supporting 

manufacturing sectors through Development Finance Institutions (DFIs)15, which controlled 

many companies, leading to inefficient capital allocation. This prompted the enactment of the 

Sick Industrial Companies Act (SICA)16 in 1985, which aimed to identify and revive distressed 

industrial companies. SICA established the Board of Industrial and Financial Reconstruction 

(BIFR) and its Appellate Authority, but its scope was limited to sick industrial companies. In 

1993, the Recovery of Debts Due to Banks and Financial Institutions Act was enacted to 

enhance debt recovery but proved inadequate. This was followed by the Securitization and 

                                                             
13 Nirmal Kashyap, Hundi System (Bill of Exchange) in Amber During the Seventeenth Century ,. IX  SHSS 147, 

147-148 (2002) 
14 Hritika Sharma , Evolution of the Insolvency and Bankruptcy Laws in India , IBC laws, evolution-of-

insolvency-and-bankruptcy.pdf (ibclaw.in) 
15 Anjali Krishna , A historical evaluation of Insolvency and Bankruptcy laws in India, Law Bhoomi (Sep 4 , 2024 , 10:28 

AM ) , A historical evaluation of Insolvency and Bankruptcy laws in India (lawbhoomi.com) 
16 Ankoosh Mehta , Repeal of Sick Industrial Companies (Special Provisions) Act, 1985, Cyril Amarchand blogs 

( Feb 23 , 2017, 10:26 AM) , https://corporate.cyrilamarchandblogs.com/2017/02/repeal-sick-industrial-

companies-special-provisions-act-1985/. 

https://ibclaw.in/wp-content/uploads/2021/05/EVOLUTION-OF-INSOLVENCY-AND-BANKRUPTCY.pdf
https://ibclaw.in/wp-content/uploads/2021/05/EVOLUTION-OF-INSOLVENCY-AND-BANKRUPTCY.pdf
https://lawbhoomi.com/a-historical-evaluation-of-insolvency-and-bankruptcy-laws-in-india/
https://corporate.cyrilamarchandblogs.com/2017/02/repeal-sick-industrial-companies-special-provisions-act-1985/
https://corporate.cyrilamarchandblogs.com/2017/02/repeal-sick-industrial-companies-special-provisions-act-1985/


 

  

Reconstruction of Financial Assets and Enforcement of Security Interest Act of 200217, which 

also failed to effectively address financial distress in companies. In response, the J.J. Irani 

Committee was formed in 2005 to propose modern reforms for company law, focusing on 

improved restructuring and liquidation processes. In 2014, the Ministry of Finance set up the 

Bankruptcy Law Reforms Committee (BLRC)18, chaired by Dr. T.K. Viswanathan, to push for 

comprehensive reforms. This led to the Insolvency and Bankruptcy Code (IBC) 2016, which 

introduced key changes, including the creation of an insolvency regulator, adjudicating 

authorities (DRTs for individuals and NCLT for companies), information utilities for financial 

data management, and updated insolvency procedures for companies and individuals. The Bill 

also allowed the Central Government to temporarily exercise the powers of the regulator until 

its formal establishment.  

 

Institutional Mechanism for Implementation of IBC  

The institutions established under the IBC are crucial components that ensure effective 

implementation and regulatory oversight necessary to achieve the Code's objectives19. The 

Insolvency and Bankruptcy Board of India (IBBI), formed on October 1, 2016, plays a pivotal 

role in overseeing the insolvency and bankruptcy processes. Section 19620 of the Code outlines 

the powers and functions of the IBBI, including: 

● Registration and monitoring of insolvency professional agencies. 

● Establishment and renewal of information utilities to meet evolving needs. 

● Ensuring prompt resolution of insolvency cases and maximising creditor recovery. 

● Conducting regular audits of debtor assets and creditor claims21. 

The IBBI regulates insolvency professionals, agencies, and information utilities. Insolvency 

professional agencies, as the first tier of regulation, develop and enforce ethical codes of 

conduct for insolvency professionals, who manage the insolvency process by liquidating debtor 

assets, managing those assets, and providing creditors with essential information for decision-

making22. 

                                                             
17 Abhiram et al. , On the Effectiveness of Insolvency and Bankruptcy Code, 2016: Empirical Evidence From 

India, 2 Sceindo 20 , 22(2022) 
18 Anjali Krishna , A historical evaluation of Insolvency and Bankruptcy laws in India, Law Bhoomi (Sep 4 , 2024 , 10:28 

AM ) , A historical evaluation of Insolvency and Bankruptcy laws in India (lawbhoomi.com) 
19 G. Sriram, The Insolvency and Bankruptcy Code, 2016, 46 J. Corp. Pros. (ICSI) 9 (2016). 
20 The Insolvency and Bankruptcy Code,2016, § 196.  
21 Mayashree Acharya,Insolvency and Bankruptcy Board of India,ClearTax (23 Aug,2024, 8:24 

PM),https://cleartax.in/s/insolvency-bankruptcy-board-india  
22  Mayashree Acharya,Insolvency and Bankruptcy Board of India,ClearTax (23 Aug,2024, 8:24 

PM),https://cleartax.in/s/insolvency-bankruptcy-board-india  

https://lawbhoomi.com/a-historical-evaluation-of-insolvency-and-bankruptcy-laws-in-india/
https://cleartax.in/s/insolvency-bankruptcy-board-india
https://cleartax.in/s/insolvency-bankruptcy-board-india


 

  

The Code also designates specific adjudicating authorities: the National Company Law 

Tribunal (NCLT) for corporate insolvency cases, and the Debt Recovery Tribunal (DRT) for 

individual and partnership firm cases. Appeals from NCLT 23decisions are heard by the 

National Company Law Appellate Tribunal (NCLAT) and can be further appealed to the 

Supreme Court. Similarly, appeals from DRT orders go to the Debt Recovery Appellate 

Tribunal (DRAT) and ultimately to the Supreme Court. 

 

Information Utilities (IUs) are entities registered with the IBBI under Section 210 of the IBC. 

They serve as repositories for financial information, handling the receipt, authentication, 

maintenance, and provision of financial data related to debtors. This role ensures that accurate 

and reliable financial information is readily available, facilitating an efficient and timely 

insolvency resolution process for all stakeholders24.  

 

Handling of Insolvency under the IBC  

While multiple insolvency laws existed before the IBC, they primarily focused on restructuring 

rather than the revival of companies, a key change brought about by the Corporate Insolvency 

Resolution Process (CIRP) under the IBC. CIRP is triggered by a default in payment, where 

creditors or the debtor can initiate the process by applying to the NCLT. Upon application 

acceptance, a moratorium25 is declared, halting all judicial proceedings, asset transfers, and 

contract terminations, while ensuring the continuation of essential services. 

 

An Interim Resolution Professional (IRP) is appointed, followed by a public announcement to 

collect claims from creditors, which forms the basis for creating a Committee of Creditors 

(CoC). The CoC, with a 66% majority26, decides whether to retain or replace the IRP. A 

Resolution Professional (RP) then prepares an information memorandum to guide potential 

resolution applicants, whose plans are assessed by the CoC. The CoC may approve a plan with 

a 66% vote, which is then reviewed by the NCLT for legal compliance. The CIRP must 

conclude within 180 days; if not, the company proceeds to liquidation, which can involve 

                                                             
23 Gunturu, Krishna, V. and Abidi (2023) A study on impact of IBC on Indian Stock Market, Munich Personal 

RePEc Archive. Available at: https://mpra.ub.uni-muenchen.de/. 
24 Dr. Binoy J. Kattadiyil & Nitika Manchanda , INSOLVENCY PROFESSIONAL AGENCIES: FRONT-LINE 

REGULATORS UNDER IBC , 9 IJMER 1, 2-3 (2020) 
25M Govindarajan, Exceptions to Moratorium Under Section 14(1) of the Insolvency and Bankruptcy Code, 

2016,IIIPICAI ( 24 Aug , 2024 , 11:26 AM)  https://www.iiipicai.in/wp-content/uploads/2024/02/24-27-

Article.pdf  
26 The Insolvency and Bankruptcy Code,2016, § 22(2). 

https://www.iiipicai.in/wp-content/uploads/2024/02/24-27-Article.pdf
https://www.iiipicai.in/wp-content/uploads/2024/02/24-27-Article.pdf


 

  

various methods like going concern or asset sales.27 

 

In liquidation, the liquidator consolidates claims, manages the debtor’s assets, and reports on 

dissolution. The liquidator must also create a marketing strategy, including public notices, to 

attract bidders. Successful bids lead to asset handover and distribution of sale proceeds to 

creditors. Following liquidation, an application for the debtor’s dissolution is made to the 

adjudicating authority28. The IBC also provides fast-track processes29 and prepackaged 

insolvency resolution30 for micro, small, and medium enterprises, as well as the insolvency of 

individuals and partnership firms under Part III of the Code. 

 

Effectiveness of the Resolution Process (Pre IBC) 

Even before the Insolvency and Bankruptcy Code (IBC) was introduced, India had a patchwork 

of different laws that dealt with insolvency and bankruptcy. These laws were often confusing 

and didn't work well together, leading to slow and inefficient processes for resolving financial 

problems. The legal framework governing insolvency was spread across multiple laws, 

including the Sick Industrial Companies Act (SICA),31 the Companies Act, the Recovery of 

Debts Due to Banks and Financial Institutions Act (RDDBFI), and the Securitisation and 

Reconstruction of Financial Assets and Enforcement of Security Interest (SARFAESI) Act. 

The Sick Industrial Companies Act (SICA) of 1985 was established to rehabilitate companies 

identified as sick or potentially sick. The goal was to address industrial sickness by reviving 

viable companies and liquidating unviable ones through the Board for Industrial and Financial 

Reconstruction (BIFR). SICA proved ineffective in rapidly resolving viable companies and 

often delayed the liquidation of unviable ones. Additionally, it lacked mechanisms to address 

individual financial distress. To expedite debt recovery, the Recovery of Debts Due to Banks 

and Financial Institutions Act was introduced in 1993. This Act established Debt Recovery 

Tribunals (DRTs) to handle cases related to bank and financial institution dues. However, this 

                                                             
27  Mayashree Acharya, Conducting Corporate Insolvency Resolution Process,ClearTax, (30 Aug , 2024, 9:36 

AM ), https://cleartax.in/s/conducting-corporate-insolvency-resolution-process  
28The Insolvency and Bankruptcy Code,2016, § 35. 
29 The Insolvency and Bankruptcy Code,2016, § 56. 
30 Hardeep Sachdeva & Swati Sharma,Pre-Packaged Insolvency Resolution Process – An overview of the 

mechanism, AZB partners (2 Sep 2024, 3:46 PM https://www.azbpartners.com/bank/pre-packaged-insolvency-

resolution-process-an-overview-of-the-mechanism/  
31 Abhirami, A. and T, R. (2022) On the Effectiveness of Insolvency and Bankruptcy Code, 2016: Empirical 

Evidence From India, Sciendo. Available at: https://intapi.sciendo.com/pdf/10.2478/law-2022-

0003#:~:text=Effectiveness%20of%20the%20IBC%202016%3A%20Empirical%20Analysis&text=Studies%20

indicate%20that%20effective%20insolvency,for%20businesses%2C%20especially%20small%20enterprises.  

https://cleartax.in/s/conducting-corporate-insolvency-resolution-process
https://www.azbpartners.com/bank/pre-packaged-insolvency-resolution-process-an-overview-of-the-mechanism/
https://www.azbpartners.com/bank/pre-packaged-insolvency-resolution-process-an-overview-of-the-mechanism/


 

  

did not resolve the issue completely. The Government further enacted the Securitization and 

Reconstruction of Financial Assets and Enforcement of Security Interest Act (SARFAESI Act) 

in 2002. This Act aimed to facilitate debt recovery for secured loans by enforcing security 

interests and managing or selling assets provided as security. It also offered asset reconstruction 

options. Nevertheless, SARFAESI was still insufficient for companies that could not be 

resolved through asset reconstruction or reorganisation. The only recourse in such cases was 

liquidation, managed under the Companies Act. 

 

For individuals and firms, insolvency and bankruptcy processes were governed by the 

Presidency Towns Insolvency Act of 1909 and the Provincial Insolvency Act of 1920. These 

frameworks also suffered from ineffective resolution mechanisms and delays in the legal 

process for asset sales, mirroring the issues faced by companies. As a result, businesses and 

individuals often faced long delays and difficulties in recovering their debts.  

 

Effectiveness of the Resolution Process (Post IBC) 

The enactment of the Insolvency and Bankruptcy Code (IBC) has significantly altered the 

landscape of insolvency laws in India by unifying and consolidating various statutes governing 

corporate and individual insolvency into a single comprehensive framework32. One of the key 

provisions under the IBC is the moratorium, as outlined in Section 14, which imposes a 

temporary halt on all legal proceedings against the corporate debtor once the Corporate 

Insolvency Resolution Process (CIRP)33 is initiated. This ensures that no suits, judgments, or 

decrees can be executed against the debtor during this period. Additionally, Section 63 of the 

IBC bars civil courts from interfering in matters within the jurisdiction of the National 

Company Law Tribunal (NCLT). During CIRP, existing insolvency proceedings 34lose 

relevance, and if a resolution plan is approved, it overrides previous insolvency actions. In 

cases where no resolution plan is accepted, the company proceeds to liquidation. Under Section 

52, creditors can choose to pursue individual liquidation or participate in collective 
proceedings, with the priority of payment governed by the "waterfall mechanism"35 in Section 

53. 

 

One of the key impacts of the Insolvency and Bankruptcy Code (IBC)36 In India there has been 

an improvement in the country's Ease of Doing Business (EDB) ranking, moving from 130th 

in 2017 to 77th in 2019. The World Bank's Doing Business Report37 evaluates the ease of 

resolving insolvency by examining factors like time, cost, and outcomes of insolvency 

proceedings, as well as the effectiveness of the legal framework. India's ranking in resolving 

insolvency improved significantly from 136th in 2017 to 103rd in 2018, though it dropped to 

108th in 2019. 

 

The Insolvency and Bankruptcy Code (IBC) has significantly reshaped the dynamics between 

creditors, debtors, and promoters by empowering creditors and increasing accountability 

among debtors and promoters. It has also instilled greater financial and cash discipline, as 

companies are now compelled to meet their payment obligations to avoid triggering insolvency 

proceedings. The Code has enhanced corporate governance standards by holding management 

accountable, with failures potentially leading to their replacement during the insolvency 

process38. It strengthens the position of operational creditors such as employees, vendors, and 

suppliers by ensuring timely payment of dues and granting them the option to initiate 

insolvency proceedings if their dues are unmet. Additionally, the IBC promotes prompt 

payment of dues, preventing assets from becoming non-performing and thus averting 

insolvency intervention. It also facilitates the settlement of dues on existing non-performing 

assets (NPAs), allowing for their reclassification as standard assets and preventing IBC 

initiation. The Code has opened new avenues for professionals, including Chartered 

Accountants, Company Secretaries, Cost Accountants, and lawyers, to engage as Insolvency 

Professionals and in other roles such as valuers, process advisors, and turnaround specialists39. 
The IBC has introduced a new career path for young professionals through the Graduate 

Insolvency Programme (GIP)40 launched by the Insolvency and Bankruptcy Board of India 

(IBBI). Moreover, it has fostered opportunities for research and evaluation in insolvency and 

bankruptcy law, encouraging the adoption of international best practices to enhance the legal, 

institutional, and infrastructural framework.  

 

Additionally, a record 269 resolution plans were approved by the National Company Law 

Tribunal under the Insolvency and Bankruptcy Code (IBC) in FY2441, marking a 42% increase 

from the previous year.  

 

While IBC has increased operational efficiency, India still lags in recovery speed and rates 

compared to top-performing countries like Japan. The average recovery time in India is 4.342 

years with a recovery rate of 26.5 cents per dollar, significantly lower than Japan’s 0.6 years 

and 92.5 cents per dollar.  

 

India's insolvency system continues to face challenges due to the high volume of cases pending 

before NCLT and NCLAT. Efforts such as capacity building, training of judges, and enhancing 

the number of tribunal benches are crucial to addressing delays and aligning India's practices 

with global standards. 

 

Legal Analysis of IBC 

The IBC was introduced to facilitate swift recovery and revival of firms,43 contrasting with 

previous laws. Notable improvements in recovery rates and resolution timelines have been 

observed, as highlighted earlier. The reforms extend beyond recovery, bringing significant 

changes to the legal framework, with new provisions proving effective in the insolvency 

process. 

 

Section 7 empowers financial creditors to initiate the Corporate Insolvency Resolution Process 
(CIRP) by applying to the NCLT upon default, reflecting the Code’s creditor-based approach. 

This section has redefined corporate insolvency in India, enhancing lender and investor 

confidence by providing a structured mechanism for financial distress. Similarly, Section 10 

allows corporate debtors to initiate their own insolvency process, addressing insolvency issues 

from a debtor’s perspective before they worsen44. This provision requires debtors to disclose 

all necessary financial information, ensuring transparency and efficiency while balancing 

creditors’ rights with debtors’ opportunities for restructuring. 

 

Section 14 introduces a mandatory moratorium period during CIRP, staying legal proceedings, 

enforcement of judgments, and recovery actions against the corporate debtor. This provision 

preserves the debtor’s assets, allowing the resolution professional to thoroughly assess the 

company’s financial status and formulate a feasible plan that maximises value for creditors. 

The moratorium creates a level playing field among creditors and reduces litigation burdens on 

debtors, contributing to a reliable and streamlined insolvency process45. 

 

The landmark case of Swiss Ribbons Pvt. Ltd. vs Union Of India46 upheld the constitutional 

validity of the Insolvency and Bankruptcy Code (IBC), 2016. Swiss Ribbons Pvt. Ltd. and 

other petitioners challenged the IBC, arguing that it violated their fundamental rights under 

Articles 14, 19, and 21 of the Indian Constitution, and favoured creditors over debtors. Key 

provisions like Section 29A, which disqualifies certain individuals from submitting resolution 

plans, and Section 12A, allowing withdrawal of insolvency applications under specific 

conditions, were specifically contested. 

 

Arguments Advanced: The petitioners argued that the IBC violated the right to equality, 

treated debtors unfairly, and that provisions like Section 29A were arbitrary. They also 

criticised the IBC’s fragmented approach to insolvency. The Union of India defended the IBC 

as a necessary measure for economic stability, emphasising its role in protecting creditors and 

promoting investment through a streamlined insolvency process47. 
Judgement: The Supreme Court upheld the IBC, affirming its constitutional validity and 

emphasising the importance of a time-bound resolution process to preserve asset value. It 

upheld Section 29A to prevent fraud and maintain system integrity, and supported Section 12A 

for allowing flexible withdrawal when feasible alternatives exist48. 

 

Legal Analysis: The court’s decision supports the IBC’s goal of a streamlined insolvency 

process, protecting creditor interests and ensuring timely resolutions. By validating provisions 

like Section 29A, it reinforced confidence in the credit market, and the flexibility endorsed 

under Section 12A encourages collaborative resolutions. 

 

Importance of the Case: The ruling provides a robust legal foundation for the IBC, clarifies 

key provisions, and promotes creditor confidence, leading to increased investment. It sets a 

precedent for future reforms and emphasises the need for a balanced approach that protects 

both creditors and debtors, contributing to economic growth by fostering a healthier business 

environment.  

 

In summary, the Swiss Ribbons Pvt. Ltd. vs Union Of India case not only solidified the legal 

standing of the IBC but also highlighted its critical role in fostering a more efficient and 

equitable insolvency resolution process in India. The judgement serves as a cornerstone for the 

future of insolvency law in the country, promoting stability and confidence in the economic 

landscape. 

 

Challenges & Issues in Implementing the Insolvency and  

Bankruptcy Code (IBC) 

In the past few years after implementing the Insolvency and Bankruptcy Code (IBC) for 

corporate insolvency, various legal and operational issues emerged,which led to a significant 

number of cases and appeals being filed before the National Company Law Tribunal (NCLT), 

the National Company Law Appellate Tribunal (NCLAT), and the Supreme Court. 
1. Delays in Resolution Timelines49: Resolution delays are common due to legal 

complexities, extended litigation, and judicial bottlenecks, which prolong the process 

and reduce the value of distressed assets. Although the IBC mandates a 180-day 

resolution period, extendable to 270 days, it does not impose a specific deadline for the 

NCLT to approve the plan approved by the Committee of Creditors (CoC). If a 

resolution applicant withdraws after accepting the plan, the entire process must restart, 

causing further delays. These setbacks disrupt business operations, hinder funding, and 

create uncertainty about management after the 270-day period, ultimately undermining 

the resolution's effectiveness. 

2. Limited Capacity50 and Resources of Judicial Bodies: The Overburdened tribunals 

and courts, with an insufficient number of judges and resolution professionals, often 

lead to slow processing of cases and backlogs, undermining the efficiency of the 

resolution process. 

3. Ambiguities in Legal Provisions:Unclear or inconsistent legal provisions within the 

IBC create challenges in interpretation and application, leading to disputes and delays 

in reaching resolutions. For instance, Section 25(2): Definition of "Operational 

Creditor", Section 96(Liquidation).  

4. Stakeholder Conflicts and Coordination Issues: Often there are Disagreements 

among creditors, debtors, and resolution professionals on valuation, distribution, and 

other critical aspects often hinder the smooth progress of resolution proceedings. For 

example: Essar Steel Case, Bhushan Power and Steel Ltd. Case. 

5. Judicial Backlogs and Procedural Inefficiencies: The high volume of cases and 

procedural inefficiencies within the legal system cause delays in adjudication and 

enforcement, weakening the resolution process. Continuous legislative updates and 

regulatory adjustments are essential to address emerging challenges and maintain the 

IBC’s effectiveness. 
PROPOSED MODEL (Insolvency Innovation Model {IIM}) 

The research paper suggests a theoretical model to tackle challenges in the insolvency 

resolution process under the Insolvency and Bankruptcy Code (IBC). The Goal is to improve 

resolution efficiency by enhancing coordination, minimising delays, and ensuring fair 

treatment of stakeholders. The model is based on four key pillars: Technological Integration, 

Stakeholder Collaboration, Judicial Efficiency, and Continuous Monitoring and Adaptation. 

 

1. Technological Integration will deal with streamlining the resolution process, reduce delays, 

and improve transparency. 

● Digital Case Management51: Implementing a centralised Digital Insolvency 

Management System (DIMS) that allows all stakeholders—creditors, debtors, 

resolution professionals (RPs), and the judiciary to access case files, submit documents, 

and track the progress of the resolution process. This system would reduce manual 

paperwork, minimise errors, and enhance transparency. 

● AI-Powered Decision Support: Utilisation of AI within DIMS will help RPs to 

evaluate resolution plans, estimate asset values, and predict recovery rates using 

historical data. AI can also identify potential red flags and suggest improvements, 

streamlining decision-making. 

● Blockchain for Secure Transactions: Use of blockchain technology to record and 

verify transactions related to insolvency cases. This would ensure the integrity of data, 

prevent tampering, and build trust among stakeholders. 

 

2. Stakeholder Collaboration will help with communication and cooperation among 

stakeholders, leading to more efficient and effective resolutions. 

● Collaborative Platform: A Collaborative Resolution Platform within DIMS can be 

established, where all stakeholders can communicate, negotiate, and collaborate on 

resolution plans. The platform would facilitate discussions, hold virtual meetings, 

reducing the need for frequent in-person interactions and speeding up the resolution 

process. 
● Mediation and Arbitration Support: Integration of mediation and arbitration services 

into the resolution process may help in resolving disputes quickly, without resorting to 

lengthy court battles. This would reduce litigation and help stakeholders to reach a 

common consensus. 

 

3. Judicial Efficiency involves specialised Insolvency Benches 52and Procedural Reforms to 

reduce case backlogs, ensure consistent rulings, and expedite the resolution process. 

● Specialised Insolvency Benches53: Establish specialised insolvency benches within 

the NCLT, staffed with judges experienced in insolvency law and finance. Regular 

training and best practices will ensure informed, consistent rulings, reducing 

deliberation and appeal times. 

● Resolution Mechanism: A fast-track resolution mechanism for cases involving small 

and medium-sized enterprises (SMEs) and straightforward insolvency cases. This 

mechanism would include simplified procedures, shorter timelines, and dedicated 

benches to handle such cases, ensuring quicker resolutions. 

 

4. Continuous Monitoring and Adaptation will ensure continuous improvement of the 

resolution process and adapt to emerging challenges. 

● Feedback Loop Mechanism: A feedback loop mechanism is needed where 

stakeholders can provide input on the resolution process, identify challenges, and 

suggest improvements. This feedback would be analysed regularly and used to refine 

procedures, update training programs, and make necessary adjustments to the IBC 

framework. 

● Legislative and Policy Review Committee: A Legislative and Policy Review 

Committee54, comprising legal experts, financial analysts, and industry representatives, 

tasked with regularly reviewing the IBC framework. This committee could recommend 

legislative amendments and policy changes based on the latest data, judicial 

interpretations, and stakeholder feedback, ensuring that the IBC remains responsive to 

the evolving economic environment. 
CONCLUSION 

The research paper highlights the crucial role of the Insolvency and Bankruptcy Code (IBC) 

2016 in reshaping India's insolvency framework. In economic downturns, the IBC ensures 

equitable loss distribution among stakeholders, including creditors and small business owners, 

using tools like taxation and wage adjustments. It consolidates laws for corporate, partnership, 

and individual insolvency. The IBC promotes entrepreneurship, improves credit access, 

supports business revival, addresses cross-border insolvency, and balances stakeholder 

interests. After examining the Pre- and Post-IBC periods, the study reveals that the Insolvency 

and Bankruptcy Code (IBC) is still in its early stages, and its impact is just beginning to be felt 

across the economy. Thus, a comprehensive critical analysis may be premature. In brief, the 

outcomes and timelines for resolution raise concerns. There is an urgent need to fill bench 

vacancies, streamline processes for quicker case resolution, focus more on pre-packaged 

resolutions, and enforce guarantees to maximise the value of distressed assets. 

 

Moreover, it also uncovers ongoing challenges, particularly within the judicial administration 

and the loopholes of IBC. The suggested model seeks to overcome these obstacles by 

introducing targeted solutions aimed at streamlining processes and reducing judicial burdens. 

Leveraging advanced technology, promoting collaboration, and boosting judicial efficiency, 

the suggested model seeks to tackle the key challenges within the IBC resolution process. 

Through continuous monitoring and adaptation, it aims to create a more efficient, transparent, 

and equitable system. These improvements are expected to lead to better outcomes for all, thus, 

contributing to the stability and growth of the Indian economy. 


